// Mocks generated by Mockito 5.4.4 from annotations
// in flaconi_task/test/api_client_test.dart.
// Do not manually edit this file.

// ignore_for_file: no_leading_underscores_for_library_prefixes
import 'dart:async' as _i5;

import 'package:flaconi_task/api_models/weather_data.dart' as _i3;
import 'package:flaconi_task/api_models/weather_forecast.dart' as _i2;
import 'package:flaconi_task/client_api/rest_client.dart' as _i4;
import 'package:mockito/mockito.dart' as _i1;

// ignore_for_file: type=lint
// ignore_for_file: avoid_redundant_argument_values
// ignore_for_file: avoid_setters_without_getters
// ignore_for_file: comment_references
// ignore_for_file: deprecated_member_use
// ignore_for_file: deprecated_member_use_from_same_package
// ignore_for_file: implementation_imports
// ignore_for_file: invalid_use_of_visible_for_testing_member
// ignore_for_file: prefer_const_constructors
// ignore_for_file: unnecessary_parenthesis
// ignore_for_file: camel_case_types
// ignore_for_file: subtype_of_sealed_class

class _FakeWeatherForecast_0 extends _i1.SmartFake
    implements _i2.WeatherForecast {
  _FakeWeatherForecast_0(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeWeatherData_1 extends _i1.SmartFake implements _i3.WeatherData {
  _FakeWeatherData_1(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

/// A class which mocks [RestClient].
///
/// See the documentation for Mockito's code generation for more information.
class MockRestClient extends _i1.Mock implements _i4.RestClient {
  MockRestClient() {
    _i1.throwOnMissingStub(this);
  }

  @override
  _i5.Future<_i2.WeatherForecast> getForecast(
    double? lat,
    double? lon, {
    String? appid = r'e5dd242e023861407fbefb01166ffd56',
    String? units = r'metric',
  }) =>
      (super.noSuchMethod(
        Invocation.method(
          #getForecast,
          [
            lat,
            lon,
          ],
          {
            #appid: appid,
            #units: units,
          },
        ),
        returnValue:
            _i5.Future<_i2.WeatherForecast>.value(_FakeWeatherForecast_0(
          this,
          Invocation.method(
            #getForecast,
            [
              lat,
              lon,
            ],
            {
              #appid: appid,
              #units: units,
            },
          ),
        )),
      ) as _i5.Future<_i2.WeatherForecast>);

  @override
  _i5.Future<_i3.WeatherData> getWeather(
    double? lat,
    double? lon, {
    String? appid = r'e5dd242e023861407fbefb01166ffd56',
    String? units = r'metric',
  }) =>
      (super.noSuchMethod(
        Invocation.method(
          #getWeather,
          [
            lat,
            lon,
          ],
          {
            #appid: appid,
            #units: units,
          },
        ),
        returnValue: _i5.Future<_i3.WeatherData>.value(_FakeWeatherData_1(
          this,
          Invocation.method(
            #getWeather,
            [
              lat,
              lon,
            ],
            {
              #appid: appid,
              #units: units,
            },
          ),
        )),
      ) as _i5.Future<_i3.WeatherData>);
}
